<?php
namespace UmpPayPlantation;

class Settings
{
    /**
     * Modify this array with your custom values
     * @var array
     */
    private $data = [

    										'lang_domain'				=> 'ultimate-membership-pro-payplantation',
    										'slug'							=> 'ump_payplantation',
    										'name'						  => 'PayPlantation',
    										'description'				=> 'Extend Ultimate Membership Pro systems with extra features and functionality',
                        'ump_min_version'		=> '10.0',
    ];
    /**
     * Initialized automaticly. don't edit this array
     * @var array
     */
    private $paths = [
                      'dir_path'					=> '',
                      'dir_url'						=> '',
                      'plugin_base_name'	=> '',
    ];

    /**
     * @param none
     * @return none
     */
    public function __construct()
    {
        $this->setPaths();
        add_filter( 'ihc_default_options_group_filter', [ $this, 'options' ], 1, 2 );
    }



  /**
    * @param array
    * @param string
    * @return array
    */
    public function options( $options=[], $type='' )
    {
        if ( $this->data['slug']== $type ){
                return [
                    'ump_payplantation-enabled'         		    => 0,
                    'ump_payplantation-merchant_id'        	    => 0,
                    'ump_payplantation-merchant_key'     		    => 0,
                    'ump_payplantation-sandbox'          		    => 1,
                    'ump_payplantation-return_page'             => 0,
                    'ump_payplantation-cancel_page'             => 0,
                    'ihc_ump_payplantation_label'               => 'PayPlantation',
                    'ihc_ump_payplantation_select_order'        => 10,
                    'ihc_ump_payplantation_short_description'   => '',
                ];
        }
        return $options;
    }

    /**
     * @param none
     * @return none
     */
    public function setPaths()
    {
        $this->paths['dir_path'] = plugin_dir_path( __FILE__ );
        $this->paths['dir_path'] = str_replace( 'classes/', '', $this->paths['dir_path'] );

        $this->paths['dir_url'] = plugin_dir_url( __FILE__ );
        $this->paths['dir_url'] = str_replace( 'classes/', '', $this->paths['dir_url'] );

        $this->paths['plugin_base_name'] = dirname(plugin_basename( __FILE__ ));
        $this->paths['plugin_base_name'] = str_replace( 'classes', '', $this->paths['plugin_base_name'] );
    }

    /**
     * @param string
     * @return object
     */
    public function get()
    {
        return $this->data + $this->paths;
    }

    /**
     * @param none
     * @return string
     */
    public function getPluginSlug()
    {
        return $this->data['slug'];
    }
}
