<?php
do_action( 'ump_admin_after_top_menu_add_ons' );
$pluginSlug = $data['plugin_slug'];

?>

<form action="" method="post">

  <div class="ihc-stuffbox">
    <h3 class="ihc-h3"><?php esc_html_e('PayPlantation Payment Service', 'ultimate-membership-pro-payplantation');?></h3>
    
    <div class="inside">
      <div class="iump-form-line">
        <h2><?php esc_html_e('Activate PayPlantation Payment Service', 'ultimate-membership-pro-payplantation');?></h2>
        <p><?php esc_html_e('Accept all major credit cards directly on your Ultimate Membership Pro in a seamless and secure checkout environment with PayPlantation.', 'ultimate-membership-pro-payplantation');?></p>
        <label class="iump_label_shiwtch iump_checkbox">
          <?php $checked = ($data['ump_payplantation-enabled']) ? 'checked' : '';?>
          <input type="checkbox" class="iump-switch" onClick="iumpCheckAndH(this, '#ump_payplantation-enabled');" <?php esc_html_e($checked);?> />
          <div class="switch"></div>
        </label>
        <p><?php esc_html_e('Once all Settings are properly done, Activate the Payment Service for further use.', 'ultimate-membership-pro-payplantation');?></p>
        <input type="hidden" name="ump_payplantation-enabled" value="<?php esc_html_e($data['ump_payplantation-enabled']);?>" id="ump_payplantation-enabled" />
      </div>

      <div class="iump-form-line">
        <h4><?php esc_html_e('PayPlantation Capabilities', 'ultimate-membership-pro-payplantation');?></h4>
        <ul class="ihc-payment-capabilities-list">
          <li><?php esc_html_e('To receive payments using PayPlantation for the goods or services that you sell, you will account for PayPlantation to pay the funds out to.', 'ultimate-membership-pro-payplantation');?></li>
          <li><?php esc_html_e('PayPlantation supports only <b>one-time or limited payments</b>.', 'ultimate-membership-pro-payplantation');?> </li>
        </ul>
      </div>

      <div class="ihc-wrapp-submit-bttn iump-submit-form">
        <input id="ihc_submit_bttn" type="submit" value="<?php esc_html_e('Save Changes', 'ultimate-membership-pro-payplantation');?>" name="ihc_save" class="button button-primary button-large" />
      </div>

    </div>
  </div>

  <div class="ihc-stuffbox">
    <h3 class="ihc-h3"><?php esc_html_e('PayPlantation Settings', 'ultimate-membership-pro-payplantation');?></h3>

    <div class="iump-form-line">
      <div class="row ihc-row-no-margin">
        <div class="col-xs-5 ihc-col-no-padding">
          <div class="iump-form-line iump-no-border input-group">
            <span class="input-group-addon"><?php esc_html_e('Client ID', 'ultimate-membership-pro-payplantation');?></span>
            <input class="form-control" type="text" name="ump_payplantation-merchant_id" value="<?php esc_html_e($data['ump_payplantation-merchant_id']);?>" />
          </div>

          <div class="iump-form-line iump-no-border input-group">
            <span class="input-group-addon"><?php esc_html_e('Client Secret', 'ultimate-membership-pro-payplantation');?></span>
            <input class="form-control" type="text" name="ump_payplantation-merchant_key" value="<?php esc_html_e($data['ump_payplantation-merchant_key']);?>" />
          </div>

        </div>
      </div>
    </div>

    <div class="ihc-clear"></div>
    <div class="ihc-admin-register-margin-bottom-space"></div>

    <div class="ihc-stuffbox">
      <h3 class="ihc-h3"><?php esc_html_e('Extra Settings', 'ultimate-membership-pro-payplantation');?></h3>

      <div class="inside">
        <div class="row ihc-row-no-margin">
          <div class="col-xs-4">
            <div class="iump-form-line iump-no-border input-group">
              <span class="input-group-addon"><?php esc_html_e('Label:', 'ultimate-membership-pro-payplantation');?></span>
              <input type="text" name="ihc_ump_payplantation_label" value="<?php esc_html_e($data['ihc_ump_payplantation_label']);?>" class="form-control" />
            </div>

            <div class="iump-form-line iump-no-border input-group">
              <span class="input-group-addon"><?php esc_html_e('Order:', 'ultimate-membership-pro-payplantation');?></span>
              <input type="number" min="1" name="ihc_ump_payplantation_select_order" value="<?php esc_html_e($data['ihc_ump_payplantation_select_order']);?>" class="form-control" />
            </div>
          </div>
        </div>

        <div class="row ihc-row-no-margin">
          <div class="col-xs-4">
            <div class="input-group">
              <h4><?php esc_html_e('Short Description', 'ultimate-membership-pro-payplantation');?></h4>
              <textarea name="ihc_ump_payplantation_short_description" class="form-control" rows="2" cols="125" placeholder="<?php esc_html_e('write a short description', 'ultimate-membership-pro-payplantation');?>"><?php esc_html_e(isset($data['ihc_ump_payplantation_short_description']) ? stripslashes($data['ihc_ump_payplantation_short_description']) : '');?></textarea>
            </div>
          </div>
        </div>

        <div class="ihc-wrapp-submit-bttn iump-submit-form">
          <input id="ihc_submit_bttn" type="submit" value="<?php esc_html_e('Save Changes', 'ultimate-membership-pro-payplantation');?>" name="ihc_save" class="button button-primary button-large" />
        </div>
      </div>
    </div>

  </div>

</form>

<?php
